Subject: Re: [Bitcoin-development] Revisiting the BIPS process, a proposal

From: Gregory Maxwell <[email-masked]>
Date: Tue, 19 Nov 2013 09:54:34 -0800

On Tue, Nov 19, 2013 at 9:45 AM, Wladimir <[email-masked]> wrote:
> Talking about complete, BIP 40 and 41 don't even have an associated
> document:
> https://github.com/bitcoin/bips
> I agree that was over-eager number assigning.

Maybe!  The subject matter its assigned for is already _widely_
deployed, for better or worse.

(by comparison in the IETF, informational RFCs for already widely
deployed things are issued pretty liberally)

I'm not sure how we should be distinguish BIPs which are documenting
things which are already defacto standards vs ones which are proposing
that people do something new.

Mostly I think we don't want the BIP itself being a lever to force
something down people's throats, but rather the process should help
build consensus and review about how to do something— and then
document that consensus.